# Manipulation

## Methods

#### # (inner) add($elements) → {jLight}

Adds elements to the collection.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2544
Tutorials:
  - add

Returns:
jLight collection

Type
  jLight

#### # (inner) after($elements) → {jLight}

Inserts elements after the collections elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2688
Tutorials:
  - after

Returns:
jLight collection

Type
  jLight

#### # (inner) append($elements) → {jLight}

Appends elements to the collections elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2622
Tutorials:
  - append

Returns:
jLight collection

Type
  jLight

#### # (inner) appendTo($elements) → {jLight}

Appends the collections elements to elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2644
Tutorials:
  - appendTo

Returns:
jLight collection

Type
  jLight

#### # (inner) before($elements) → {jLight}

Inserts elements before the collections elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2677
Tutorials:
  - before

Returns:
jLight collection

Type
  jLight

#### # (inner) clone(?deep) → {jLight}

Clones the collection.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`deep` | boolean | <optional> | Whether to apply deep cloning of the affected nodes (default: true)

Source:
  - index.js, line 2533
Tutorials:
  - clone

Returns:
jLight collection

Type
  jLight

#### # (inner) empty() → {jLight}

Empties the collections elements HTML content.

Source:
  - index.js, line 2515
Tutorials:
  - empty

Returns:
jLight collection

Type
  jLight

#### # (inner) insertAfter($elements) → {jLight}

Inserts the collections elements after elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2666
Tutorials:
  - insertAfter

Returns:
jLight collection

Type
  jLight

#### # (inner) insertBefore($elements) → {jLight}

Inserts the collections elements before elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2655
Tutorials:
  - insertBefore

Returns:
jLight collection

Type
  jLight

#### # (inner) prepend($elements) → {jLight}

Prepends elements to the collections elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2611
Tutorials:
  - prepend

Returns:
jLight collection

Type
  jLight

#### # (inner) prependTo($elements) → {jLight}

Prepends the collections elements to elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2633
Tutorials:
  - prependTo

Returns:
jLight collection

Type
  jLight

#### # (inner) remove(?$elements, ?removeFromDom) → {jLight|null}

Removes elements from the collection.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | <optional> | The elements to remove
`removeFromDom` | boolean | <optional> | Whether the elements should also be removed from the DOM (default: true)

Source:
  - index.js, line 2567
Tutorials:
  - remove

Returns:
jLight collection or null

Type
  jLight | null

#### # (inner) wrap($elements) → {jLight}

Wraps the collections elements in elements.
Parameters:

Name | Type | Description
--- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList | The elements to apply the function to

Source:
  - index.js, line 2699
Tutorials:
  - wrap

Returns:
jLight collection

Type
  jLight